/******************************************************************************************/
/****************************Includieren der Headerdateien*********************************/
/******************************************************************************************/

#include <Datenauswertung_main.h>       //Bibliothek fr Main Programm

/******************************************************************************************/
/**************************************Hauptprogramm***************************************/
/******************************************************************************************/

int main(void)
{
UART_Init();                            //Initalisierung der UART
lcd_init();								//Initalisierung des LCD
LCD_Standardtext();						//Ausgeben von Temp: und Feuchte:

while(1)
 {
  UART_Ausgabe();                   	//Senden der Temperatur und Feuchtigkeit
										 //max. 2 Lesevorgnge pro sec
  LCD_Ausgabe();						//Ausgeben der Daten auf dem LCD (2x20)
 }


}

/******************************************************************************************/
/*********************************Ausgabe der Werte per UART*******************************/
/******************************************************************************************/
										
void UART_Ausgabe (void)				
{
float TEMPERATUR = 0x00;                //Floatvariable fr die Temperatur
float FEUCHTE    = 0x00;                //Floatvariable fr die Luftfeuchtigkeit

TEMPERATUR = 0x00;                		//Floatvariable fr die Temperatur = 0
FEUCHTE    = 0x00;                		//Floatvariable fr die Luftfeuchtigkeit = 0

TEMPERATUR = SHT_Temperatur();     			//Schreibe aktuelle Temperatur in Variable
FEUCHTE = SHT_Feuchte();        			//Schreibe aktuelle Feuchtigkeit in Variable
dtostrf(TEMPERATUR, 1, 1, TEMPERATUR_STR); 	//Float to String Wandlung
dtostrf(FEUCHTE, 1, 1, FEUCHTE_STR);    	//Float to String Wandlung

UART_Senden_String ("Temperatur:");            
UART_Senden_String (TEMPERATUR_STR);    //Senden der aktuellen Temperatur
UART_Senden_String (" ");               
UART_Senden_Byte (176);                 
UART_Senden_String ("C");               

UART_Senden_String ("Feuchte:");           
UART_Senden_String (FEUCHTE_STR);       //Senden der aktuellen Feuchtigkeit
UART_Senden_String (" %RH");            
UART_Senden_Byte (10);                  
}

/******************************************************************************************/
/*********************Ausgabe der nicht vernderlichen Texte auf dem LCD*******************/
/******************************************************************************************/
										
void LCD_Standardtext (void)		
{

lcd_clearline(1);					//Ausgabe der Temperatur
lcd_putstr_xy("Temperatur:",1,1);

lcd_clearline(2);					//Ausgabe der Feuchtigkeit
lcd_putstr_xy("Luftfeuchte:",2,1);
}

/******************************************************************************************/
/*******************************Ausgabe der Werte auf dem LCD******************************/
/******************************************************************************************/
										
void LCD_Ausgabe (void)		
{

lcd_putstr_xy(TEMPERATUR_STR,1,14);	//Ausgabe der Temperatur
lcd_putchar(223);
lcd_putchar('C');
lcd_putchar(' ');

lcd_putstr_xy(FEUCHTE_STR,2,14);	//Ausgabe der Temperatur
lcd_putchar(37);
lcd_putchar('R');
lcd_putchar('H');
}

/******************************************************************************************/
/**************************************Programmende****************************************/
/******************************************************************************************/
