/******************************************************************************************/
/****************************Includieren der Headerdateien*********************************/
/******************************************************************************************/

#include <util/delay.h>                
#include <avr/io.h>

/******************************************************************************************/
/*************************************Prototypen*******************************************/
/******************************************************************************************/

void    SHT_Transstart      (void);
void    SHT_Connectionreset (void);
char    SHT_Write_byte      (unsigned char);
char    SHT_Read_byte       (unsigned char);
float   SHT_Temperatur      (void);
float   SHT_Feuchte         (void);

/******************************************************************************************/
/****************************Anschlussdefinition des SHT11*********************************/
/******************************************************************************************/

#define SHT_SCK_DDR      DDRE
#define SHT_DATA_DDR     DDRE

#define SHT_SCK_PORT     PORTE
#define SHT_DATA_PORT    PORTE

#define SHT_DATA_PIN_IN  PINE

#define SHT_SCK_PIN      PE3
#define SHT_DATA_PIN     PE2

/******************************************************************************************/
/*******************************Steuerbefehle des SHT11************************************/
/******************************************************************************************/

#define SET_DATA_PIN     SHT_DATA_PORT = SHT_DATA_PORT | (1<<SHT_DATA_PIN);
#define SET_SCK_PIN      SHT_SCK_PORT = SHT_SCK_PORT | (1<<SHT_SCK_PIN);
#define RESET_DATA_PIN   SHT_DATA_PORT = SHT_DATA_PORT & ~(1<<SHT_DATA_PIN);      
#define RESET_SCK_PIN    SHT_SCK_PORT = SHT_SCK_PORT & ~(1<<SHT_SCK_PIN);

#define MAKE_DATA_OUTPUT SHT_DATA_DDR = SHT_DATA_DDR | (1<<SHT_DATA_PIN);
#define MAKE_DATA_INPUT  SHT_DATA_DDR = SHT_DATA_DDR & ~(1<<SHT_DATA_PIN); SHT_DATA_PORT = SHT_DATA_PORT & ~(1<<SHT_DATA_PIN);
#define MAKE_SCK_OUTPUT  SHT_SCK_DDR = SHT_SCK_DDR | (1<<SHT_SCK_PIN);

#define EINPEGELN        10      //Einpegelzeit zwischen Flankenwechsel in us

/******************************************************************************************/
/*********************************Ende der Headerdatei*************************************/
/******************************************************************************************/
